# std::chrono::year::operator++, std::chrono::year::operator--

From cppreference.com
< cpp‎ | chrono‎ | year

constexpr std::chrono::year& operator++() noexcept; | (1) | (since C++20)
constexpr std::chrono::year operator++(int) noexcept; | (2) | (since C++20)
constexpr std::chrono::year& operator--() noexcept; | (3) | (since C++20)
constexpr std::chrono::year operator--(int) noexcept; | (4) | (since C++20)

Adds or subtracts 1 from the year value.

1-2) Performs *this += std::chrono::years{1};
3-4) Performs *this -= std::chrono::years{1};

### Parameters

(none)

### Return value

1,3) a reference to this `year` after modification
2,4) a copy of the `year` made before modification

### Notes

If the result would be outside the range [-32767, 32767], the actual stored value is unspecified.

### Example

| This section is incomplete Reason: no example

### See also

operator+=operator-= | adds or subtracts a number of years from a `year` (public member function)
operator+operator- | performs arithmetic on `year`s (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year/operator_inc_dec&oldid=104861"